Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Contributor
Posts: 22
Registered: ‎10-18-2010
My Device: 8100 & 9550
My Carrier: Vodafone
Accepted Solution

SigningTool.jar

I had for a while been using a rather crappy setup, the signature tools were in a component pack folder which i have now deleted. I now have several component packs (one for each JRE version) and now Eclipse gives an error when packaging and I cannot sign with the signature tool by either Project -> Blackberry -> Sign With or by double clicking the .cod file in my directory. Using the UI i get 'an internal error has occured when packaging project' which is the same error i get everytime i run on the simulator although it seems to work on the simulator just fine in anyways. When i use the .cod file it is trying to access the SignatureTool.jar file that has been deleted.

 

Does anyone know how to tell the Eclipse plugin specifically where to look for the SignatureTool.jar file. I dont know how Eclipse knew to look for the .jar file in the original folder anyway cos i didnt tell it.

Highlighted
Developer
Posts: 73
Registered: ‎10-23-2009
My Device: Not Specified

Re: SigningTool.jar

Not sure where the config option is for pointing to the Signature Tool, but you might be able to restore your environment by removing/reinstalling the JDE Plugin for Eclipse.

Contributor
Posts: 22
Registered: ‎10-18-2010
My Device: 8100 & 9550
My Carrier: Vodafone

Re: SigningTool.jar

Thought that might be the only option available, probs do it tomorow, i'll tell if it solved it.

 

Just thought there may be some UI option to specify.

Contributor
Posts: 22
Registered: ‎10-18-2010
My Device: 8100 & 9550
My Carrier: Vodafone

Re: SigningTool.jar

Just did a freash install of Eclipse 3.5, then the Blackberry Plugin and its seems to have worked on a project using 5.0.0 JRE, waiting for the rest of the JRE component packs to install but i reckon they will work no probs